import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:syncrow_app/features/app_layout/bloc/home_cubit.dart';
import 'package:syncrow_app/utils/resource_manager/color_manager.dart';

class DefaultNavBar extends StatelessWidget {
  const DefaultNavBar({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<HomeCubit, HomeState>(
      builder: (context, state) {
        var cubit = HomeCubit.getInstance();
        return BottomNavigationBar(
          backgroundColor: Colors.transparent,
          onTap: (int index) {
            cubit.updatePageIndex(index);
            HomeCubit.getInstance().updatePageIndex(index);
          },
          currentIndex: HomeCubit.pageIndex,
          selectedItemColor: ColorsManager.primaryColor,
          selectedLabelStyle: const TextStyle(
            color: ColorsManager.primaryColor,
            fontSize: 10,
          ),
          showUnselectedLabels: true,
          unselectedItemColor: Colors.grey,
          type: BottomNavigationBarType.fixed,
          elevation: 0,
          items: HomeCubit.bottomNavItems,
        );
      },
    );
  }
}
